Bug 1578479 - Failing qemu-iotests s390x
Summary: Failing qemu-iotests s390x
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-ma
Version: 7.6
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ademar Reis
QA Contact: Yihuang Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-15 16:48 UTC by Lukas Doktor
Modified: 2019-03-18 21:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-18 21:08:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Avocado results of qemu-iotests. In "version" you can see the qemu/kernel version and the "qemu-iotests" contains qemu-iotests from the execution. (1.22 MB, application/x-bzip)
2018-05-15 16:48 UTC, Lukas Doktor
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1331279 0 unspecified CLOSED test cases of qemu-iotests failed 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1416260 0 unspecified CLOSED Some cases failed in qemu-iotests (ppc64) 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1578481 0 unspecified CLOSED Failing qemu-iotests ppc64le rhev 2021-02-22 00:41:40 UTC

Internal Links: 1331279 1416260 1578481

Description Lukas Doktor 2018-05-15 16:48:51 UTC
Created attachment 1436852 [details]
Avocado results of qemu-iotests. In "version" you can see the qemu/kernel version and the "qemu-iotests" contains qemu-iotests from the execution.

Description of problem:
There are many failing qemu-iotests, let's track them here.

Version-Release number of selected component (if applicable):
qemu-kvm-ma-2.10.0-21.el7_5.2.s390x

How reproducible:
Always (with some fluctuation)

Steps to Reproduce:
1. Install qemu-kvm-ma
2. Checkout the installed version git repo
3. ./configure
4. cd tests/qemu-iotests
5. ./check $TESTNAME_INCLUDING_ARGS

Actual results:
not ok 4 -nbd -qcow2 001;run-7449
not ok 8 -nbd -qcow2 002;run-7449
not ok 12 -nbd -qcow2 003;run-7449
not ok 16 -nbd -qcow2 004;run-7449
not ok 20 -nbd -qcow2 005;run-7449
not ok 24 -nbd -qcow2 007;run-7449
not ok 28 -nbd -qcow2 008;run-7449
not ok 32 -nbd -qcow2 009;run-7449
not ok 36 -nbd -qcow2 010;run-7449
not ok 40 -nbd -qcow2 011;run-7449
not ok 56 -nbd -qcow2 015;run-7449
not ok 60 -nbd -qcow2 017;run-7449
not ok 72 -nbd -qcow2 020;run-7449
not ok 75 -nbd -raw 021;run-7449
not ok 76 -nbd -qcow2 021;run-7449
not ok 80 -nbd -qcow2 022;run-7449
not ok 100 -nbd -qcow2 027;run-7449
not ok 102 -file -qcow2 028;run-7449
not ok 108 -nbd -qcow2 029;run-7449
not ok 110 -file -qcow2 030;run-7449
not ok 112 -nbd -qcow2 030;run-7449
not ok 119 -nbd -raw 032;run-7449
not ok 120 -nbd -qcow2 032;run-7449
not ok 124 -nbd -qcow2 033;run-7449
not ok 132 -nbd -qcow2 035;run-7449
not ok 150 -file -qcow2 040;run-7449
not ok 152 -nbd -qcow2 040;run-7449
not ok 154 -file -qcow2 041;run-7449
not ok 156 -nbd -qcow2 041;run-7449
not ok 166 -file -qcow2 044;run-7449
not ok 168 -nbd -qcow2 044;run-7449
not ok 169 -file -raw 045;run-7449
not ok 171 -nbd -raw 045;run-7449
not ok 180 -nbd -qcow2 047;run-7449
not ok 194 -file -qcow2 051;run-7449
not ok 209 -file -raw 055;run-7449
not ok 210 -file -qcow2 055;run-7449
not ok 211 -nbd -raw 055;run-7449
not ok 212 -nbd -qcow2 055;run-7449
not ok 214 -file -qcow2 056;run-7449
not ok 216 -nbd -qcow2 056;run-7449
not ok 240 -nbd -qcow2 062;run-7449
not ok 256 -nbd -qcow2 066;run-7449
not ok 258 -file -qcow2 067;run-7449
not ok 264 -nbd -qcow2 068;run-7449
not ok 284 -nbd -qcow2 073;run-7449
not ok 299 -nbd -raw 077;run-7449
not ok 313 -file -raw 081;run-7449
not ok 324 -nbd -qcow2 083;run-7449
not ok 330 -file -qcow2 085;run-7449
not ok 361 -file -raw 093;run-7449
not ok 363 -nbd -raw 093;run-7449
not ok 367 -nbd -raw 094;run-7449
not ok 368 -nbd -qcow2 094;run-7449
not ok 370 -file -qcow2 095;run-7449
not ok 374 -file -qcow2 096;run-7449
not ok 376 -nbd -qcow2 096;run-7449
not ok 404 -nbd -qcow2 104;run-7449
not ok 408 -nbd -qcow2 105;run-7449
not ok 421 -file -raw 109;run-7449
not ok 444 -nbd -qcow2 114;run-7449
not ok 463 -nbd -raw 119;run-7449
not ok 479 -nbd -raw 123;run-7449
not ok 482 -file -qcow2 124;run-7449
not ok 484 -nbd -qcow2 124;run-7449
not ok 498 -file -qcow2 129;run-7449
not ok 500 -nbd -qcow2 129;run-7449
not ok 504 -nbd -qcow2 130;run-7449
not ok 509 -file -raw 132;run-7449
not ok 510 -file -qcow2 132;run-7449
not ok 511 -nbd -raw 132;run-7449
not ok 512 -nbd -qcow2 132;run-7449
not ok 520 -nbd -qcow2 134;run-7449
not ok 525 -file -raw 136;run-7449
not ok 527 -nbd -raw 136;run-7449
not ok 538 -file -qcow2 139;run-7449
not ok 540 -nbd -qcow2 139;run-7449
not ok 546 -file -qcow2 141;run-7449
not ok 550 -file -qcow2 142;run-7449
not ok 558 -file -qcow2 144;run-7449
not ok 563 -nbd -raw 145;run-7449
not ok 564 -nbd -qcow2 145;run-7449
not ok 569 -file -raw 147;run-7449
not ok 570 -file -qcow2 147;run-7449
not ok 571 -nbd -raw 147;run-7449
not ok 572 -nbd -qcow2 147;run-7449
not ok 573 -file -raw 148;run-7449
not ok 575 -nbd -raw 148;run-7449
not ok 585 -file -raw 152;run-7449
not ok 586 -file -qcow2 152;run-7449
not ok 587 -nbd -raw 152;run-7449
not ok 588 -nbd -qcow2 152;run-7449
not ok 590 -file -qcow2 153;run-7449
not ok 598 -file -qcow2 155;run-7449
not ok 600 -nbd -qcow2 155;run-7449
not ok 602 -file -qcow2 156;run-7449
not ok 604 -nbd -qcow2 156;run-7449
not ok 612 -nbd -qcow2 158;run-7449
not ok 648 -nbd -qcow2 174;run-7449
not ok 671 -nbd -raw 181;run-7449
not ok 672 -nbd -qcow2 181;run-7449
not ok 674 -file -qcow2 182;run-7449
not ok 682 -file -qcow2 185;run-7449
not ok 696 -nbd -qcow2 188;run-7449
not ok 700 -nbd -qcow2 189;run-7449
not ok 709 -file -raw 194;run-7449
not ok 710 -file -qcow2 194;run-7449
not ok 711 -nbd -raw 194;run-7449
not ok 712 -nbd -qcow2 194;run-7449
not ok 720 -nbd -qcow2 198;run-7449
not ok 722 -file -qcow2 200;run-7449
not ok 732 -nbd -qcow2 203;run-7449
not ok 733 -vmdk 059;run-7449

Expected results:
all should PASS (or be skipped)

Additional info:
Tests were executed via Avocado, results are attached, but it's reproducible directly by "./check $testname" where testname is in format "not ok \d+ ([^;]+);.*" (basically there is "not ok" string, followed by serial id which you should ignore as well as everything after the last ";". So the last "not ok 733 -vmdk 059;run-7449" => "./check -vmdk 059")

Comment 2 Lukas Doktor 2018-05-15 17:05:57 UTC
Note there were some left-behind processes after the execution, usually test 077 and some nbd processes. Repeating the execution usually increases the number of failed tests.

Also it's worth mentioning you can diff the attached results via "avocado diff $RESULTS1 $RESULTS2". Diff to (slightly different version of qemu) from https://bugzilla.redhat.com/show_bug.cgi?id=1578483 is:

- s390x (qemu-kvm-ma)
+ x86_64 (qemu-kvm-rhev)
--nbd -raw 001;run-7449: PASS
+-nbd -raw 001;run-7449: FAIL
--nbd -raw 002;run-7449: PASS
+-nbd -raw 002;run-7449: FAIL
--nbd -raw 003;run-7449: PASS
+-nbd -raw 003;run-7449: FAIL
--nbd -raw 004;run-7449: PASS
+-nbd -raw 004;run-7449: FAIL
--nbd -raw 005;run-7449: PASS
+-nbd -raw 005;run-7449: FAIL
--nbd -raw 008;run-7449: PASS
+-nbd -raw 008;run-7449: FAIL
--nbd -raw 009;run-7449: PASS
+-nbd -raw 009;run-7449: FAIL
--nbd -raw 010;run-7449: PASS
+-nbd -raw 010;run-7449: FAIL
--nbd -raw 011;run-7449: PASS
+-nbd -raw 011;run-7449: FAIL
--nbd -qcow2 020;run-7449: FAIL
+-nbd -qcow2 020;run-7449: WARN
--file -qcow2 028;run-7449: FAIL
+-file -qcow2 028;run-7449: PASS
--nbd -raw 033;run-7449: PASS
+-nbd -raw 033;run-7449: FAIL
--file -qcow2 040;run-7449: FAIL
+-file -qcow2 040;run-7449: PASS
--nbd -qcow2 040;run-7449: FAIL
+-nbd -qcow2 040;run-7449: PASS
--file -qcow2 044;run-7449: FAIL
+-file -qcow2 044;run-7449: PASS
--nbd -qcow2 044;run-7449: FAIL
+-nbd -qcow2 044;run-7449: PASS
--file -qcow2 056;run-7449: FAIL
+-file -qcow2 056;run-7449: PASS
--nbd -qcow2 056;run-7449: FAIL
+-nbd -qcow2 056;run-7449: PASS
--file -qcow2 067;run-7449: FAIL
+-file -qcow2 067;run-7449: PASS
--file -qcow2 085;run-7449: FAIL
+-file -qcow2 085;run-7449: PASS
--file -qcow2 095;run-7449: FAIL
+-file -qcow2 095;run-7449: PASS
--file -qcow2 096;run-7449: FAIL
+-file -qcow2 096;run-7449: PASS
--nbd -qcow2 096;run-7449: FAIL
+-nbd -qcow2 096;run-7449: PASS
--nbd -raw 104;run-7449: PASS
+-nbd -raw 104;run-7449: FAIL
--file -raw 109;run-7449: FAIL
+-file -raw 109;run-7449: PASS
--file -qcow2 115;run-7449: PASS
+-file -qcow2 115;run-7449: INTERRUPTED
--file -raw 118;run-7449: WARN
--file -qcow2 118;run-7449: WARN
--nbd -raw 118;run-7449: WARN
--nbd -qcow2 118;run-7449: WARN
+-file -raw 118;run-7449: FAIL
+-file -qcow2 118;run-7449: FAIL
+-nbd -raw 118;run-7449: FAIL
+-nbd -qcow2 118;run-7449: FAIL
--file -qcow2 122;run-7449: PASS
+-file -qcow2 122;run-7449: FAIL
--file -qcow2 124;run-7449: FAIL
+-file -qcow2 124;run-7449: PASS
--nbd -qcow2 124;run-7449: FAIL
+-nbd -qcow2 124;run-7449: PASS
+-file -raw 127;run-7449: WARN
+-file -qcow2 127;run-7449: PASS
+-nbd -raw 127;run-7449: WARN
+-nbd -qcow2 127;run-7449: WARN
--file -qcow2 129;run-7449: FAIL
+-file -qcow2 129;run-7449: PASS
--nbd -qcow2 129;run-7449: FAIL
+-nbd -qcow2 129;run-7449: PASS
--file -raw 132;run-7449: FAIL
--file -qcow2 132;run-7449: FAIL
--nbd -raw 132;run-7449: FAIL
--nbd -qcow2 132;run-7449: FAIL
+-file -raw 132;run-7449: PASS
+-file -qcow2 132;run-7449: PASS
+-nbd -raw 132;run-7449: PASS
+-nbd -qcow2 132;run-7449: PASS
--file -qcow2 138;run-7449: PASS
+-file -qcow2 138;run-7449: FAIL
--file -qcow2 141;run-7449: FAIL
+-file -qcow2 141;run-7449: PASS
--file -qcow2 142;run-7449: FAIL
+-file -qcow2 142;run-7449: PASS
--file -qcow2 144;run-7449: FAIL
+-file -qcow2 144;run-7449: PASS
--file -raw 152;run-7449: FAIL
--file -qcow2 152;run-7449: FAIL
--nbd -raw 152;run-7449: FAIL
--nbd -qcow2 152;run-7449: FAIL
+-file -raw 152;run-7449: PASS
+-file -qcow2 152;run-7449: PASS
+-nbd -raw 152;run-7449: PASS
+-nbd -qcow2 152;run-7449: PASS
--file -qcow2 153;run-7449: FAIL
+-file -qcow2 153;run-7449: PASS
--file -qcow2 155;run-7449: FAIL
+-file -qcow2 155;run-7449: PASS
--nbd -qcow2 155;run-7449: FAIL
+-nbd -qcow2 155;run-7449: PASS
--file -qcow2 156;run-7449: FAIL
+-file -qcow2 156;run-7449: PASS
+-file -raw 163;run-7449: PASS
+-file -qcow2 163;run-7449: PASS
+-nbd -raw 163;run-7449: PASS
+-nbd -qcow2 163;run-7449: PASS
+-file -raw 169;run-7449: WARN
+-file -qcow2 169;run-7449: PASS
+-nbd -raw 169;run-7449: WARN
+-nbd -qcow2 169;run-7449: PASS
--file -qcow2 172;run-7449: WARN
+-file -qcow2 172;run-7449: FAIL
--file -qcow2 182;run-7449: FAIL
+-file -qcow2 182;run-7449: PASS
+-file -raw 184;run-7449: FAIL
+-file -qcow2 184;run-7449: FAIL
+-nbd -raw 184;run-7449: FAIL
+-nbd -qcow2 184;run-7449: FAIL
--file -qcow2 185;run-7449: FAIL
+-file -qcow2 185;run-7449: PASS
--file -qcow2 186;run-7449: WARN
+-file -qcow2 186;run-7449: FAIL
--file -raw 192;run-7449: WARN
--file -qcow2 192;run-7449: WARN
+-file -raw 191;run-7449: WARN
+-file -qcow2 191;run-7449: PASS
+-nbd -raw 191;run-7449: WARN
+-nbd -qcow2 191;run-7449: WARN
+-file -raw 192;run-7449: PASS
+-file -qcow2 192;run-7449: PASS
--file -raw 194;run-7449: FAIL
--file -qcow2 194;run-7449: FAIL
--nbd -raw 194;run-7449: FAIL
--nbd -qcow2 194;run-7449: FAIL
+-file -raw 194;run-7449: PASS
+-file -qcow2 194;run-7449: PASS
+-nbd -raw 194;run-7449: PASS
+-nbd -qcow2 194;run-7449: PASS
+-file -raw 196;run-7449: WARN
+-file -qcow2 196;run-7449: PASS
+-nbd -raw 196;run-7449: WARN
+-nbd -qcow2 196;run-7449: PASS
+-file -raw 197;run-7449: FAIL
+-file -qcow2 197;run-7449: FAIL
+-nbd -raw 197;run-7449: FAIL
+-nbd -qcow2 197;run-7449: FAIL
+-file -raw 199;run-7449: WARN
+-file -qcow2 199;run-7449: WARN
+-nbd -raw 199;run-7449: WARN
+-nbd -qcow2 199;run-7449: WARN
--file -qcow2 200;run-7449: FAIL
+-file -qcow2 200;run-7449: PASS
+-file -raw 201;run-7449: WARN
+-file -qcow2 201;run-7449: PASS
+-nbd -raw 201;run-7449: WARN
+-nbd -qcow2 201;run-7449: FAIL
--nbd -qcow2 203;run-7449: FAIL
+-nbd -qcow2 203;run-7449: PASS
+-file -raw 204;run-7449: WARN
+-file -qcow2 204;run-7449: PASS
+-nbd -raw 204;run-7449: WARN
+-nbd -qcow2 204;run-7449: WARN
+-file -raw 205;run-7449: PASS
+-file -qcow2 205;run-7449: PASS
+-nbd -raw 205;run-7449: PASS
+-nbd -qcow2 205;run-7449: PASS
+-file -raw 206;run-7449: WARN
+-file -qcow2 206;run-7449: PASS
+-nbd -raw 206;run-7449: WARN
+-nbd -qcow2 206;run-7449: WARN
+-file -raw 207;run-7449: WARN
+-file -qcow2 207;run-7449: WARN
+-nbd -raw 207;run-7449: WARN
+-nbd -qcow2 207;run-7449: WARN
+-file -raw 208;run-7449: PASS
+-file -qcow2 208;run-7449: PASS
+-nbd -raw 208;run-7449: PASS
+-nbd -qcow2 208;run-7449: PASS
+-file -raw 209;run-7449: WARN
+-file -qcow2 209;run-7449: PASS
+-nbd -raw 209;run-7449: WARN
+-nbd -qcow2 209;run-7449: PASS
+-file -raw 210;run-7449: WARN
+-file -qcow2 210;run-7449: WARN
+-nbd -raw 210;run-7449: WARN
+-nbd -qcow2 210;run-7449: WARN
+-file -raw 211;run-7449: WARN
+-file -qcow2 211;run-7449: WARN
+-nbd -raw 211;run-7449: WARN
+-nbd -qcow2 211;run-7449: WARN
+-file -raw 212;run-7449: WARN
+-file -qcow2 212;run-7449: WARN
+-nbd -raw 212;run-7449: WARN
+-nbd -qcow2 212;run-7449: WARN
+-file -raw 213;run-7449: WARN
+-file -qcow2 213;run-7449: WARN
+-nbd -raw 213;run-7449: WARN
+-nbd -qcow2 213;run-7449: WARN
--vdi 084;run-7449: PASS
+-vdi 084;run-7449: FAIL

Comment 3 Thomas Huth 2018-05-17 04:44:20 UTC
I think it's kind of expected that some of the iotests are failing with downstream qemu-kvm-ma, since we disable some of the block drivers in there, see https://bugzilla.redhat.com/show_bug.cgi?id=1331279#c6 ... that BZ has been opened in 2016 already and never been fixed so far.
Max, Kevin, do we have a list of iotests that are supposed to work with downstream qemu?

Comment 4 Max Reitz 2018-05-28 12:54:38 UTC
Usually the list of iotests that are supposed to work is whatever is not commented out in the group file.

Whenever something doesn’t work, we can either fix it or decide it’s not worth it and remove it from group (by commenting it out and adding a note on why it won’t work).  So (in theory) everything that is run should also pass.

Max

Comment 6 Ademar Reis 2019-03-18 21:08:37 UTC
Our downstream CI team is now running qemu-iotests. Several of them are even enabled in %check as part of rpmbuild.

The ones that are broken in the CI or brew environment are being reported in bugzilla (there are several reported already).

So I'm closing all of the old qemu-iotest BZs. We'll work on them in this more controlled environment of CI and brew.


Note You need to log in before you can comment on or make changes to this bug.